Thank you for your contribution to the awesome-hackernews repository. :thumbsup:<br>
Before submitting this PR, please **make sure the following conditions are met** (**please tick the relevant boxes**):

- [ ] ⅰ. The pull request concerns only one project<sup>1</sup>.
- [ ] ⅱ. This project is classified as [FOSS](https://en.wikipedia.org/wiki/Free_and_open-source_software).
- [ ] ⅲ. The pull request title is "Add &lt;xxx&gt; to &lt;yyy&gt;", which means adding project &lt;xxx&gt; to section &lt;yyy&gt;.<sup>2</sup>
  
  Examples:
  - "Add My Project to Embeddables"
  - "Add My Project to Libraries/Python", for nested sections
- [ ] ⅳ. Your addition satisfies one of the following formats<sup>3</sup>:
  - If the project has a homepage (different from where the source code is hosted):
    ```
    - [Name](http://homepage/) - Short description. ([Source Code](http://url.of/source/code)) `License`
    ```
  - Else:
    ```
    - [Name](http://url.of/source/code) - Short description. `License`
    ```

  Guidelines about the description:
  - Avoid redundancy
  - Keep it short
  - End with '.'

- [ ] ⅴ. Your addition is inserted in alphabetical order in the list (case-insensitive).
- [ ] ⅵ. You have searched the repository for any relevant issues or PRs, including closed ones.

**If you have any questions or would like to provide more information regarding your PR, please use the comments section below.**

---

<sup>1</sup>: If you want to submit multiple projects, please open one PR per project.<br>
<sup>2</sup>: If the project does not fit into an already existing section, i.e. a new one must be created, do not hesitate to create it. In this case, don't forget to update the TOC and put the "`back to top`" link.<br>
<sup>3</sup>: [`scripts/format_entry.sh`](https://github.com/bminusl/awesome-hackernews/blob/main/scripts/format_entry.sh) can be invoked to help you.

---

A [custom linter](https://github.com/bminusl/awesome-hackernews/blob/main/scripts/lint.py) is automatically invoked through GitHub actions.
You are responsible of correcting any errors that are detected.

NB: If you are a first time contributor, you will have to wait for a maintainer to approve GitHub actions (a.k.a. the linter) to run.
