<p align="center">
  <img width="500" src="awesome-hackernews.png">
</p>

# Awesome-Hackernews

[![Awesome](https://awesome.re/badge.svg)](https://awesome.re)
![lint workflow](https://github.com/bminusl/awesome-hackernews/actions/workflows/lint.yml/badge.svg)

**[Hacker News](https://news.ycombinator.com/)** is a social news website focusing on computer technologies, hacking and startups. It promotes any content likely to "gratify the intellectual curiosity" of readers.

This is a curated list of [FOSS](https://en.wikipedia.org/wiki/Free_and_open-source_software) tools that aim to improve the general Hacker News experience, in any shape or form.

See [Contributing](.github/contributing.md).

Inspired by [awesome-selfhosted](https://github.com/awesome-selfhosted/awesome-selfhosted).

You may also want to visit [awesome-hacker-news](https://github.com/cheeaun/awesome-hacker-news), a complementary list which is not focused on FOSS.

---

- List
  - [Clients](#clients)
    - [CLI & TUI](#cli--tui)
    - [Desktop](#desktop)
    - [Emacs](#emacs)
    - [Smartphone Apps](#smartphone-apps)
      - [Android](#android)
      - [iOS](#ios)
    - [SQL](#sql)
    - [Vim](#vim)
    - [Web](#web)
  - [E-readers](#e-readers)
    - [Kindle](#kindle)
    - [ReMarkable](#remarkable)
  - [Embeddables](#embeddables)
  - [Feeds](#feeds)
  - [Libraries](#libraries)
    - [Python](#python)
  - [In Web Browsers](#in-web-browsers)
    - [User Scripts](#user-scripts)
    - [Web Extensions](#web-extensions)
      - [Chrome](#chrome)
      - [Firefox](#firefox)
  - [Uncategorized](#uncategorized)
- [Contributing](#contributing)
- [License](#license)

---

## Clients

### CLI & TUI

**[`↑ back to top ↑`](#)**

- [CHN](https://github.com/ghosthamlet/CHN) - HN on Console with auto classifer and recommender in reactjs style code. `MIT`
- [circumflex](https://github.com/bensadeh/circumflex) - It's HN in your terminal. `AGPL-3.0`
- [CLHN](https://github.com/nichochar/CLHN) - See HN stories. `MIT`
- [hackernews cli](https://github.com/mtharrison/hackernews) - Print out the latest posts to your terminal. `no license`
- [hackernews-TUI](https://github.com/aome510/hackernews-TUI) - A Terminal UI to browse HN. `MIT`
- [haxor-news](https://github.com/donnemartin/haxor-news) - Browse HN like a haxor. `Apache-2.0`
- [hn-cli](https://github.com/rafaelrinaldi/hn-cli) - CLI to browse HN. `MIT`
- [HNTerm](https://hnterm.ggerganov.com/) - HN in the terminal. ([Source Code](https://github.com/ggerganov/hnterm)) `MIT`
- [lurker](https://github.com/wcarhart/lurker) - HN terminal client. `MIT`
- [pyhn](https://github.com/toxinu/pyhn) - HN command line client. `MIT`
- [rich-hn](https://github.com/zaataylor/rich-hn) - A CLI reader app with rich formatting and good UX. `MIT`

### Desktop

**[`↑ back to top ↑`](#)**

- [Hacker Menu](https://hackermenu.io) - Read HN from your macOS menubar. ([Source Code](https://github.com/owenthereal/hacker-menu)) `MIT`
- [HackerTray](https://github.com/captn3m0/hackertray) - Read HN from your system tray in Linux. `MIT`
- [HackUp](https://github.com/mdh34/hackup) - Read HN from the desktop. `GPL-3.0`
- [HNReader](https://github.com/mattrighetti/HNReaderApp) - HN client for macOS. `Apache-2.0/MIT`
- [toucHNews](https://github.com/mrmekon/toucHNews) - HN news feed from the Mac Touch Bar. `Apache-2.0`

### Emacs

**[`↑ back to top ↑`](#)**

- [Emacs hnreader](https://github.com/thanhvg/emacs-hnreader) - Read HN inside Emacs. `GPL-3.0`

### Smartphone Apps

#### Android

**[`↑ back to top ↑`](#)**

- [HackerWeb](https://play.google.com/store/apps/details?id=cheeaun.hackerweb) - A read-only client. ([Source Code](https://github.com/cheeaun/hackerweb)) `MIT`
- [Materialistic](https://play.google.com/store/apps/details?id=io.github.hidroh.materialistic) - A material-design reader. ([Source Code](https://github.com/hidroh/materialistic)) `Apache-2.0`

#### iOS

**[`↑ back to top ↑`](#)**

- [HackerWeb](https://apps.apple.com/app/id1084209377) - A read-only client. ([Source Code](https://github.com/cheeaun/hackerweb)) `MIT`

### SQL

**[`↑ back to top ↑`](#)**

- [Steampipe](https://hub.steampipe.io/plugins/turbot/hackernews) - Query HN using SQL. ([Source Code](https://github.com/turbot/steampipe-plugin-hackernews)) `MPL-2.0`

### Vim

**[`↑ back to top ↑`](#)**

- [vim-hackernews](https://www.vim.org/scripts/script.php?script_id=5108) - Browse HN in Vim. ([Source Code](https://github.com/dansomething/vim-hackernews)) `MIT`

### Web

**[`↑ back to top ↑`](#)**

- [Hacker Search](https://hiring.ben.church/) - Search through "Who is Hiring?" threads. ([Source Code](https://github.com/bechurch/hacker-hiring-hunt)) `no license`
- [Hackernews Redesign](https://hn-redesign.vercel.app/) - A minimal client built with Next.js and TailwindCSS. ([Source Code](https://github.com/RocktimSaikia/hackernews-redesign)) `MIT`
- [Paper HN](https://www.wolfgangfaust.com/project/paper-hn/) - HN front page in the style of a print newspaper. ([Source Code](https://github.com/wolfgang42/paper-hn)) `MIT`
- [readhn](https://www.read.hn/) - A simple and fast HN Top Stories reader – using Instapaper. ([Source Code](https://github.com/kaelig/readhn)) `no license`

## E-readers

### Kindle

**[`↑ back to top ↑`](#)**

- [hn-kindle](https://github.com/sprusr/hn-kindle) - Create an ebook of the day's HN articles and send it to your Kindle. `no license`

### ReMarkable

**[`↑ back to top ↑`](#)**

- [hackernews2remarkable](https://github.com/khanhas/hackernews2remarkable) - Fetch top articles, pack as EPUB right in your reMarkable device. `MIT`

## Embeddables

**[`↑ back to top ↑`](#)**

- [HackerBadge](https://github.com/AnandChowdhary/hackerbadge) - Embeddable badges for HN posts/launches. `MIT`
- [YComments](https://ycomments.benwinding.com/) - Automatic links to discussions. ([Source Code](https://github.com/benwinding/ycomments)) `MIT`

## Feeds

**[`↑ back to top ↑`](#)**

- [Hacker News RSS](https://hnrss.github.io/) - Custom, realtime RSS feeds. ([Source Code](https://github.com/hnrss/hnrss)) `no license`
- [hnapp](http://hnapp.com/) - Faceted search engine, RSS & JSON feeds. ([Source Code](https://github.com/raquo/hnapp)) `MIT`

## Libraries

### Python

**[`↑ back to top ↑`](#)**

- [asyncio-hn](https://github.com/itielshwartz/asyncio-hn) - Python (asyncio) wrapper for the HN api. `MIT`
- [haxor](https://github.com/avinassh/haxor) - Unofficial Python wrapper for official HN API. `MIT`
- [py-search-hn](https://github.com/nicolashahn/py-search-hn) - Search HN with Python. `MIT`

## In Web Browsers

### User Scripts

**[`↑ back to top ↑`](#)**

- [already-seen](https://github.com/ryanberckmans/already-seen) - Auto-hide HN or Reddit links after you've seen them once. `MIT`
- [hackahackernews](https://github.com/raszpl/hackahackernews) - HN comment/viewed improvements. `GPL-3.0`

### Web Extensions

#### Chrome

**[`↑ back to top ↑`](#)**

- [Hacker News - Show Links](https://chrome.google.com/webstore/detail/hacker-news-show-links/phckhodapplnokiepnaneoglleghgpfi) - Show comments that have links, and more. ([Source Code](https://github.com/boomeasy/hnlinks)) `no license`
- [Hacker News Comment Highlighter](https://chrome.google.com/webstore/detail/hacker-news-comment-highl/acgehogfllndeafpieloojhdmpffbjnb) - Highlight unread comments in threads. ([Source Code](https://github.com/jbergknoff/hn-comment-highlighter)) `MIT`
- [Hacker News Comments Notifier Plugin](https://chrome.google.com/webstore/detail/hacker-news-comments-noti/fcdogcdfbjpnhcnflhdpcdfjmmiedebo) - Get notifications on articles subscribed. ([Source Code](https://github.com/binomads/hn-notification-plugin)) `MIT`
- [Hacker News Shortcut](https://chrome.google.com/webstore/detail/hacker-news-shortcut/dmiimkldokblocpmleogaeohkbffnobo) - Full keyboard navigation. ([Source Code](https://github.com/AsyncMoksha/hackercut)) `no license`
- [Hacker Reads for Goodreads](https://chrome.google.com/webstore/detail/hacker-reads-for-goodread/ohkekgnmihdgcfflheadklfihdaibdcb) - Add HN comments to books on Goodreads. ([Source Code](https://github.com/spookyuser/hacker-reads)) `MIT`
- [hacker-news-reading-time](https://github.com/bencevans/hacker-news-reading-time) - Add a reading time metric to each HN story. `no license`
- [HackerTagger](https://chrome.google.com/webstore/detail/hackertagger/geiililcplncieampkfliiilkajhdkkp) - Tag users on HN with useful metadata. ([Source Code](https://github.com/guzba/hackertagger)) `MIT`
- [HN Favourite Users](https://chrome.google.com/webstore/detail/hn-favourite-users/hleiemhnepoghplnnhkhpnjeiaifnobo) - Highlights your favourite users. ([Source Code](https://github.com/janhancic/hn-favourite-users)) `MIT`
- [HN Keyword Filter](https://chrome.google.com/webstore/detail/hn-keyword-filter/ooablmjjcdbdjhhjkaffpbjnanonjgnm) - Filter stories using a comma separated list. ([Source Code](https://github.com/ShamariFeaster/chrome-extension-hn-filter/tree/master)) `GPL-3.0`
- [HN Special](https://chrome.google.com/webstore/detail/hn-special-an-addition-to/cchaceegbflphbdpfocjalgjhjoahiia) - A completely new visual style and a few new features. ([Source Code](https://github.com/gabrielecirulli/hn-special)) `MIT`
- [HN Stories](https://github.com/bigyank/HN-Stories) - Sneak peak at HN. `no license`
- [HN Unread Comments](https://chrome.google.com/webstore/detail/hn-unread-comments/fpndmkcfggkffpablcooicmihgcgalil) - See unread comments. ([Source Code](https://github.com/janhancic/hn-unread-comments)) `MIT`
- [Newsit](https://newsit.benwinding.com/) - Find the top voted Hackernews or Reddit discussion around the page you're looking at. ([Source Code](https://github.com/benwinding/newsit)) `MIT`
- [Refined Hacker News](https://chrome.google.com/webstore/detail/refined-hacker-news/gcibdgjaladjjloeocimnijdgopejkfk) - Interface tweaks and features to make the HN experience better. ([Source Code](https://github.com/plibither8/refined-hacker-news)) `MIT`
- [What Hacker News Says](https://chrome.google.com/webstore/detail/what-hacker-news-says/khgegkjchclhgpglloficdmdannlpmoi) - Easily find discussions about the page you're currently browsing. ([Source Code](https://github.com/pinoceniccola/what-hn-says-webext)) `MIT`

#### Firefox

**[`↑ back to top ↑`](#)**

- [Hacker News Discussion Button](https://addons.mozilla.org/en-US/firefox/addon/hacker-news-discussion-button/) - Privacy-preserving extension linking to HN discussion. ([Source Code](https://github.com/jstrieb/hackernews-button)) `GPL-3.0`
- [Hacker Reads for Goodreads](https://addons.mozilla.org/en-GB/firefox/addon/hacker-reads-for-goodreads/) - Add HN comments to books on Goodreads. ([Source Code](https://github.com/spookyuser/hacker-reads)) `MIT`
- [hacker-news-reading-time](https://github.com/bencevans/hacker-news-reading-time) - Add a reading time metric to each HN story. `no license`
- [HN Stories](https://addons.mozilla.org/en-US/firefox/addon/hn-stories/) - Sneak peak at HN. ([Source Code](https://github.com/bigyank/HN-Stories)) `no license`
- [hnlinks](https://addons.mozilla.org/en-US/firefox/addon/hnlinks/) - Adds a sidebar to threads which collects all the external links from comments and shows if a link has been previously posted in HN. ([Source Code](https://github.com/dit7ya/hnlinks)) `GPL-3.0`
- [Newsit](https://newsit.benwinding.com/) - Find the top voted Hackernews or Reddit discussion around the page you're looking at. ([Source Code](https://github.com/benwinding/newsit)) `MIT`
- [Refined Hacker News](https://addons.mozilla.org/en-US/firefox/addon/refined-hacker-news/) - Interface tweaks and features to make the HN experience better. ([Source Code](https://github.com/plibither8/refined-hacker-news)) `MIT`
- [What Hacker News Says](https://addons.mozilla.org/en-US/firefox/addon/what-hacker-news-says/) - Easily find discussions about the page you're currently browsing. ([Source Code](https://github.com/pinoceniccola/what-hn-says-webext)) `MIT`

## Uncategorized

**[`↑ back to top ↑`](#)**

- [Comments.hn](https://comments.hn/) - Prepend `comments.hn?q=` to any website to see its HN comments. ([Source Code](https://github.com/amaurym/comments.hn)) `MIT`

---

## Contributing

Contributing guidelines can be found in [.github/contributing.md](.github/contributing.md).

## License

[![CC0](https://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
